Name:           fslint
Version:        2.11
Release:        0.fdr.1.rh90
Epoch:          0
Summary:        FSlint - a utility to find and clean "lint" on a filesystem

Group:          Applications/File
License:        GPL
URL:            http://www.pixelbeat.org/fslint/
Source0:        http://www.pixelbeat.org/fslint/FSlint-2.11.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext, desktop-file-utils
Requires:       python >= 0:2.0, pygtk2, pygtk2-libglade, cpio

%description
FSlint is a toolkit to find all redundant disk usage (duplicate files
for e.g.). It includes a GUI as well as a command line interface.


%prep
%setup -q -n FSlint-%{version}
%{__perl} -pi -e 's|^liblocation=.*$|liblocation="%{_datadir}/%{name}" #RPM edit|' FSlint
%{__perl} -pi -e 's|^locale_base=.*$|locale_base=None #RPM edit|' FSlint
mv fslint/fstool/README README.fstool
mv fslint/rmlint/README README.rmlint


%build
# Not.


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 FSlint $RPM_BUILD_ROOT%{_bindir}/FSlint
ln -s FSlint $RPM_BUILD_ROOT%{_bindir}/fslint
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/{fstool,rmlint}
install -pm 644 fslint.glade fslint_icon.png \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s %{_datadir}/%{name}/fslint_icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -pm 755 fslint/{find*,fsl*,get*,zipdir} \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint
install -pm 755 fslint/fstool/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/fstool
install -pm 755 fslint/rmlint/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/rmlint

make -C po DESTDIR=$RPM_BUILD_ROOT LOCALEDIR=%{_datadir}/locale install

desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  %{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/* README.*
%{_bindir}/*lint
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/fslint_icon.png


%changelog
* Fri Mar 18 2005 Pádraig Brady <P at draigBrady.com> - 0:2.11-0.fdr.1
- Update to 2.11

* Wed Mar 16 2005 Pádraig Brady <P at draigBrady.com> - 0:2.10-0.fdr.2
- Update to 2.10

* Tue Sep  9 2004 Pádraig Brady <P at draigBrady.com> - 0:2.08-0.fdr.2
- Fix locale support broken in previous version

* Wed Sep  1 2004 Pádraig Brady <P at draigBrady.com> - 0:2.08-0.fdr.1
- Update to 2.08.
- Remove redundant patch.

* Wed May  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.06-0.fdr.1
- Update to 2.06.
- Add %%{_bindir}/fslint symlink.
- Make installation Python version independent.

* Thu Aug 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.02-0.fdr.2
- Requires: cpio, remove redundant findutils dependency (bug 539).
- Fix version in dependency on python.

* Thu Jul 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.02-0.fdr.1
- First build, based on upstream specfile.
